Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.context.servlet
Class WebFlow1FlowUrlHandler

    java.lang.Object
      org.springframework.webflow.context.servlet.WebFlow1FlowUrlHandler

All Implemented Interfaces:
  FlowUrlHandler

    public class WebFlow1FlowUrlHandler

extends java.lang.Object
implements FlowUrlHandler

Flow URL handler that implements the default Web Flow 1.x URL format. Here for backwards compatibility.

Author:
  Keith Donald

Constructor Summary
`WebFlow1FlowUrlHandler()`

Method Summary
`java.lang.String` | `createFlowDefinitionUrl(java.lang.String flowId, AttributeMap input, javax.servlet.http.HttpServletRequest request)` Create a URL that when addressed will launch a new execution of a flow.
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.servlet.http.HttpServletRequest request)` Create a URL that when addressed will resume an existing execution of a flow.
`java.lang.String` | `getFlowExecutionKey(javax.servlet.http.HttpServletRequest request)` Extract the flow execution from the request.
`java.lang.String` | `getFlowId(javax.servlet.http.HttpServletRequest request)` Extract the flow id from the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebFlow1FlowUrlHandler

    public WebFlow1FlowUrlHandler()

Method Detail

### getFlowExecutionKey

    public java.lang.String getFlowExecutionKey(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `FlowUrlHandler`
  Extract the flow execution from the request.

  Specified by:
    `getFlowExecutionKey` in interface `FlowUrlHandler`
  Parameters:
    `request` - the request
  Returns:
    the flow execution key, or null if no flow execution key is present

### getFlowId

    public java.lang.String getFlowId(javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `FlowUrlHandler`
  Extract the flow id from the request.

  Specified by:
    `getFlowId` in interface `FlowUrlHandler`
  Parameters:
    `request` - the request
  Returns:
    the flow id, or null if no flow id is present

### createFlowExecutionUrl

    public java.lang.String createFlowExecutionUrl(java.lang.String flowId,
                                                   java.lang.String flowExecutionKey,
                                                   javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `FlowUrlHandler`
  Create a URL that when addressed will resume an existing execution of a flow.

  Specified by:
    `createFlowExecutionUrl` in interface `FlowUrlHandler`
    `flowExecutionKey` - the flow execution key that is paused and waiting to be resumed
    `request` - the current request
  Returns:
    the flow execution url

### createFlowDefinitionUrl

    public java.lang.String createFlowDefinitionUrl(java.lang.String flowId,
                                                    AttributeMap input,
                                                    javax.servlet.http.HttpServletRequest request)

  Description copied from interface: `FlowUrlHandler`
  Create a URL that when addressed will launch a new execution of a flow.

  Specified by:
    `createFlowDefinitionUrl` in interface `FlowUrlHandler`
  Parameters:
    `flowId` - the id of the flow definition
    `input` - the input to pass the new flow execution
    `request` - the current request
  Returns:
    the flow definition url

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD